import{s as G,n as J,o as K}from"../chunks/scheduler.6062bdaf.js";import{S as W,i as X,g as f,s,r as $,A as Y,h as g,f as o,c as p,j as I,u as v,x as R,k as V,y as b,a as n,v as y,d as w,t as L,w as P}from"../chunks/index.4bca734e.js";import{D as j}from"../chunks/Docstring.ed07512f.js";import{H as S}from"../chunks/Heading.723dceba.js";function Z(B){let r,F,_,C,l,k,m,z,i,d,U,h,H="Exports a TensorFlow model to a TensorFlow Lite model.",E,c,D,a,u,A,x,Q="Validates the export by checking that the outputs from both the reference and the exported model match.",N,T,q;return l=new S({props:{title:"Export functions",local:"export-functions",headingTag:"h1"}}),m=new S({props:{title:"Main functions",local:"optimum.exporters.tflite.export",headingTag:"h2"}}),d=new j({props:{name:"optimum.exporters.tflite.export",anchor:"optimum.exporters.tflite.export",parameters:[{name:"model",val:": TFPreTrainedModel"},{name:"config",val:": TFLiteConfig"},{name:"output",val:": Path"},{name:"task",val:": typing.Optional[str] = None"},{name:"preprocessor",val:": typing.Union[transformers.tokenization_utils_base.PreTrainedTokenizerBase, transformers.image_processing_utils.BaseImageProcessor, NoneType] = None"},{name:"quantization_config",val:": typing.Optional[ForwardRef('TFLiteQuantizationConfig')] = None"}],parametersDescription:[{anchor:"optimum.exporters.tflite.export.model",description:`<strong>model</strong> (<code>TFPreTrainedModel</code>) &#x2014;
The model to export.`,name:"model"},{anchor:"optimum.exporters.tflite.export.config",description:`<strong>config</strong> (<a href="/docs/optimum/main/en/exporters/tflite/package_reference/configuration#optimum.exporters.tflite.TFLiteConfig">TFLiteConfig</a>) &#x2014;
The TFLite configuration associated with the exported model.`,name:"config"},{anchor:"optimum.exporters.tflite.export.output",description:`<strong>output</strong> (<code>Path</code>) &#x2014;
Directory to store the exported TFLite model.`,name:"output"},{anchor:"optimum.exporters.tflite.export.task",description:`<strong>task</strong> (<code>Optional[str]</code>, defaults to <code>None</code>) &#x2014;
The task of the model. If left unspecified the task will be inferred automatically. Only needed for static
quantization.`,name:"task"},{anchor:"optimum.exporters.tflite.export.preprocessor",description:`<strong>preprocessor</strong> (<code>Optional[Preprocessor]</code>, defaults to <code>None</code>) &#x2014;
The preprocessor associated to the model. This is used for preprocessing the dataset before feeding data to
the model during calibration.`,name:"preprocessor"},{anchor:"optimum.exporters.tflite.export.quantization_config",description:`<strong>quantization_config</strong> (<code>Optional[TFLiteQuantizationConfig]</code>, defaults to <code>None</code>) &#x2014;
The dataclass containing all the needed information to perform quantization.`,name:"quantization_config"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/exporters/tflite/convert.py#L313",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A tuple with an ordered list of the model’s inputs, and the named inputs from
the TFLite configuration.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>Tuple[List[str], List[str]]</code></p>
`}}),c=new S({props:{title:"Utility functions",local:"optimum.exporters.tflite.validate_model_outputs",headingTag:"h2"}}),u=new j({props:{name:"optimum.exporters.tflite.validate_model_outputs",anchor:"optimum.exporters.tflite.validate_model_outputs",parameters:[{name:"config",val:": TFLiteConfig"},{name:"reference_model",val:": TFPreTrainedModel"},{name:"tflite_model_path",val:": Path"},{name:"tflite_named_outputs",val:": typing.List[str]"},{name:"atol",val:": typing.Optional[float] = None"}],parametersDescription:[{anchor:"optimum.exporters.tflite.validate_model_outputs.config",description:`<strong>config</strong> (<a href="/docs/optimum/main/en/exporters/tflite/package_reference/configuration#optimum.exporters.tflite.TFLiteConfig">TFLiteConfig</a> &#x2014;
The configuration used to export the model.`,name:"config"},{anchor:"optimum.exporters.tflite.validate_model_outputs.reference_model",description:`<strong>reference_model</strong> (<code>~TFPreTrainedModel</code>) &#x2014;
The model used for the export.`,name:"reference_model"},{anchor:"optimum.exporters.tflite.validate_model_outputs.tflite_model_path",description:`<strong>tflite_model_path</strong> (<code>Path</code>) &#x2014;
The path to the exported model.`,name:"tflite_model_path"},{anchor:"optimum.exporters.tflite.validate_model_outputs.tflite_named_outputs",description:`<strong>tflite_named_outputs</strong> (<code>List[str]</code>) &#x2014;
The names of the outputs to check.`,name:"tflite_named_outputs"},{anchor:"optimum.exporters.tflite.validate_model_outputs.atol",description:`<strong>atol</strong> (<code>Optional[float]</code>, defaults to <code>None</code>) &#x2014;
The absolute tolerance in terms of outputs difference between the reference and the exported model.`,name:"atol"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/exporters/tflite/convert.py#L43",raiseDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<ul>
<li><code>ValueError</code> — If the outputs shapes or values do not match between the reference and the exported model.</li>
</ul>
`,raiseType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>ValueError</code></p>
`}}),{c(){r=f("meta"),F=s(),_=f("p"),C=s(),$(l.$$.fragment),k=s(),$(m.$$.fragment),z=s(),i=f("div"),$(d.$$.fragment),U=s(),h=f("p"),h.textContent=H,E=s(),$(c.$$.fragment),D=s(),a=f("div"),$(u.$$.fragment),A=s(),x=f("p"),x.textContent=Q,N=s(),T=f("p"),this.h()},l(e){const t=Y("svelte-u9bgzb",document.head);r=g(t,"META",{name:!0,content:!0}),t.forEach(o),F=p(e),_=g(e,"P",{}),I(_).forEach(o),C=p(e),v(l.$$.fragment,e),k=p(e),v(m.$$.fragment,e),z=p(e),i=g(e,"DIV",{class:!0});var M=I(i);v(d.$$.fragment,M),U=p(M),h=g(M,"P",{"data-svelte-h":!0}),R(h)!=="svelte-1igcsdq"&&(h.textContent=H),M.forEach(o),E=p(e),v(c.$$.fragment,e),D=p(e),a=g(e,"DIV",{class:!0});var O=I(a);v(u.$$.fragment,O),A=p(O),x=g(O,"P",{"data-svelte-h":!0}),R(x)!=="svelte-1w8b0fb"&&(x.textContent=Q),O.forEach(o),N=p(e),T=g(e,"P",{}),I(T).forEach(o),this.h()},h(){V(r,"name","hf:doc:metadata"),V(r,"content",ee),V(i,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),V(a,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,t){b(document.head,r),n(e,F,t),n(e,_,t),n(e,C,t),y(l,e,t),n(e,k,t),y(m,e,t),n(e,z,t),n(e,i,t),y(d,i,null),b(i,U),b(i,h),n(e,E,t),y(c,e,t),n(e,D,t),n(e,a,t),y(u,a,null),b(a,A),b(a,x),n(e,N,t),n(e,T,t),q=!0},p:J,i(e){q||(w(l.$$.fragment,e),w(m.$$.fragment,e),w(d.$$.fragment,e),w(c.$$.fragment,e),w(u.$$.fragment,e),q=!0)},o(e){L(l.$$.fragment,e),L(m.$$.fragment,e),L(d.$$.fragment,e),L(c.$$.fragment,e),L(u.$$.fragment,e),q=!1},d(e){e&&(o(F),o(_),o(C),o(k),o(z),o(i),o(E),o(D),o(a),o(N),o(T)),o(r),P(l,e),P(m,e),P(d),P(c,e),P(u)}}}const ee='{"title":"Export functions","local":"export-functions","sections":[{"title":"Main functions","local":"optimum.exporters.tflite.export","sections":[],"depth":2},{"title":"Utility functions","local":"optimum.exporters.tflite.validate_model_outputs","sections":[],"depth":2}],"depth":1}';function te(B){return K(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ae extends W{constructor(r){super(),X(this,r,te,Z,G,{})}}export{ae as component};
